## com.ibm.lab.soln.resources
Class EDUResourcesPlugin

    java.lang.Object
      |
      +--org.eclipse.core.runtime.Plugin
            |
            +--org.eclipse.ui.plugin.AbstractUIPlugin
                  |
                  +--com.ibm.lab.soln.resources.EDUResourcesPlugin

All Implemented Interfaces:
  org.eclipse.ui.IStartup

public class EDUResourcesPlugin
extends org.eclipse.ui.plugin.AbstractUIPlugin
implements org.eclipse.ui.IStartup

The plugin class for the Resource Programming Plugin. Instantiated by the platform when the plug-in is started.

Note: The plug-in class name is EDUResourcePlugin to avoid a name collision and confusion with the platform Resources Plug-in (see getWorkspace() method).

Fields inherited from class org.eclipse.core.runtime.Plugin
`PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`EDUResourcesPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)` The constructor.

Method Summary
`boolean` | `addMy_RCL()` Adds a workspace resource change listener when called by the `ActionManageTraceRCLs` logic.
`void` | `addMy_RE_RCL()` Adds a workspace resource change listener when called by this plug-in's startup() method.
`void` | `addMy_SaveP()` Adds a workspace save participant when called by this plug-ins startup() method.
`void` | `earlyStartup()` Method Stub.
`static EDUResourcesPlugin` | `getDefault()` Returns the shared instance.
`java.util.ResourceBundle` | `getResourceBundle()` Returns the plugin's resource bundle,
`static java.lang.String` | `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`static org.eclipse.core.resources.IWorkspace` | `getWorkspace()` Returns the workspace instance using the platform implementation of the Resources plugin.
`void` | `startup()` Method triggered when the plug-in started by Eclipse.

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getDescriptor, getLog, getPluginPreferences, getStateLocation, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EDUResourcesPlugin

    public EDUResourcesPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)

  The constructor.

Method Detail

### addMy_RCL

    public boolean addMy_RCL()
                      throws org.eclipse.core.runtime.CoreException

  Adds a workspace resource change listener when called by the `ActionManageTraceRCLs` logic. Multiple approaches to adding an RCL, with all or selected event types identified, are included in the method source.

### addMy_RE_RCL

    public void addMy_RE_RCL()

  Adds a workspace resource change listener when called by this plug-in's startup() method. Multiple approaches to adding an RCL, with all or selected event types identified, are included in the method source.

### addMy_SaveP

    public void addMy_SaveP()
                     throws org.eclipse.core.runtime.CoreException

  Adds a workspace save participant when called by this plug-ins startup() method. Save participant logic can interpret the returned saved state. A null saved state can be returned the first time a save participant is added. If requested during a previous save event, a resource delta with changes since the last save is returned.

### earlyStartup

    public void earlyStartup()

  Method Stub. Does nothing specific, but supports immediate integration of plug-in into the running Workbench.
  Specified by:
    `earlyStartup` in interface `org.eclipse.ui.IStartup`
  See Also:
    `IStartup.earlyStartup()`

### getDefault

    public static EDUResourcesPlugin getDefault()

  Returns the shared instance.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle,

### getResourceString

    public static java.lang.String getResourceString(java.lang.String key)

  Returns the string from the plugin's resource bundle, or 'key' if not found.

### getWorkspace

    public static org.eclipse.core.resources.IWorkspace getWorkspace()

  Returns the workspace instance using the platform implementation of the Resources plugin. (names happen to be the same).

### startup

    public void startup()
                 throws org.eclipse.core.runtime.CoreException

  Method triggered when the plug-in started by Eclipse. Adds the recent edits resource change listener (see `RecentEditsRCL`) and workspace save participant (see `WorkspaceSaveParticipant`).
  Overrides:
    `startup` in class `org.eclipse.ui.plugin.AbstractUIPlugin`